Bug 97702 - Help/documentation fails in gcj-compiled Eclipse
Help/documentation fails in gcj-compiled Eclipse
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Tom Tromey
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 10:53 EDT by Jeremy Handcock
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-29 16:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace (7.05 KB, text/plain)
2003-07-22 17:18 EDT, Jeremy Handcock
no flags Details

  None (edit)
Description Jeremy Handcock 2003-06-19 10:53:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
Help/documentation doesn't seem to work in the gcj-compiled Eclipse.

Version-Release number of selected component (if applicable):
eclipse-2.0.1-24, gcj-compiled

How reproducible:
Always

Steps to Reproduce:
Open Help -> Help Contents from menu in gcj-compiled Eclipse

Actual Results:  Mozilla opens with URL http://null:0/help/index.jsp and
help/documentation is not available.

Expected Results:  Mozilla should open with a URL pointing to the Eclipse
help/documentation on the embedded Tomcat server (ie.
http://127.0.0.1:39124/help/index.jsp).

Additional info:

"null" is printed on the console where Eclipse is started from.

Help/documentation works fine when Eclipse is run under Sun's JVM using -vm flag
at startup.
Comment 1 Jeremy Handcock 2003-07-22 17:18:17 EDT
Created attachment 93060 [details]
Stack trace
Comment 2 Jeremy Handcock 2003-07-22 17:27:14 EDT
Comment on attachment 93060 [details]
Stack trace

!SESSION Jul 22, 2003 16:24:02.652
---------------------------------------------
java.fullversion=GNU libgcj 3.5-tree-ssa 20030406 ((Red Hat Linux Rawhide
3.5ssa-17))
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments: -os linux -ws gtk -arch x86 -install
file:/notnfs/eclipse/manual-build/build/
!ENTRY org.eclipse.tomcat 4 0 Jul 22, 2003 16:24:02.652
!MESSAGE Exception occurred starting application server.
!STACK 0
java.lang.NullPointerException
   at java.net.PlainSocketImpl.accept(java.net.SocketImpl)
(/lib/ssa/libgcj.so.4.0.0)
   at java.net.ServerSocket.implAccept(java.net.Socket)
(/lib/ssa/libgcj.so.4.0.0)
   at java.net.ServerSocket.accept() (/lib/ssa/libgcj.so.4.0.0)
   at
org.eclipse.tomcat.internal.PortTrackingServerSocketFactory.listen(java.net.Ser
verSocket)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at
org.eclipse.tomcat.internal.PortTrackingServerSocketFactory.createSocket(int,
int)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at org.apache.catalina.connector.http.HttpConnector.open() (Unknown Source)
   at org.apache.catalina.connector.http.HttpConnector.initialize() (Unknown
Source)
   at
org.apache.catalina.startup.Embedded.addConnector(org.apache.catalina.Connector
) (Unknown Source)
   at org.eclipse.tomcat.internal.TomcatAppServer.start(int, java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at org.eclipse.help.internal.appserver.AppserverPlugin.startWebappServer()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.appserver.AppserverPlugin.getAppServer()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.appserver.WebappManager.start(java.lang.String,
java.lang.String, org.eclipse.core.runtime.IPath)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.HelpSystem.ensureWebappRunning()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpURL(java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpResource(org.eclipse.he
lp.IHelpResource)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpResource(java.lang.Stri
ng) (/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.ui.internal.dialogs.WelcomeItem.openHelpTopic(java.lang.String,
java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.ui.internal.dialogs.WelcomeItem.triggerLinkAt(int)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at
org.eclipse.ui.internal.dialogs.WelcomeEditor$1.mouseUp(org.eclipse.swt.events.
MouseEvent)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.widgets.Event
)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.widgets.Event)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.widgets.Event)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Display.runDeferredEvents()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Display.readAndDispatch()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.jface.window.Window$
IExceptionHandler)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.ui.internal.Workbench.run(java.lang.Object)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.core.internal.boot.InternalBootLoader.run(java.lang.String,
java.net.URL, java.lang.String, java.lang.String[], java.lang.Runnable)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.core.boot/libboot.so)
   at org.eclipse.core.boot.BootLoader.run(java.lang.String, java.net.URL,
java.lang.String, java.lang.String[], java.lang.Runnable)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.core.boot/libboot.so)
   at _Jv_CallAnyMethodA(java.lang.Object, java.lang.Class, _Jv_Method,
boolean, java.lang.Class[], jvalue, jvalue) (/lib/ssa/libgcj.so.4.0.0)
   at _Jv_CallAnyMethodA(java.lang.Object, java.lang.Class, _Jv_Method,
boolean, java.lang.Class[], java.lang.Object[]) (/lib/ssa/libgcj.so.4.0.0)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[])
(/lib/ssa/libgcj.so.4.0.0)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
   at org.eclipse.core.launcher.Main.run(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
   at org.eclipse.core.launcher.Main.main(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
!ENTRY org.eclipse.help 4 0 Jul 22, 2003 16:24:02.694
!MESSAGE E042
!STACK 1
org.eclipse.core.runtime.CoreException[0]: java.lang.NullPointerException
   at java.net.PlainSocketImpl.accept(java.net.SocketImpl)
(/lib/ssa/libgcj.so.4.0.0)
   at java.net.ServerSocket.implAccept(java.net.Socket)
(/lib/ssa/libgcj.so.4.0.0)
   at java.net.ServerSocket.accept() (/lib/ssa/libgcj.so.4.0.0)
   at
org.eclipse.tomcat.internal.PortTrackingServerSocketFactory.listen(java.net.Ser
verSocket)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at
org.eclipse.tomcat.internal.PortTrackingServerSocketFactory.createSocket(int,
int)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at org.apache.catalina.connector.http.HttpConnector.open() (Unknown Source)
   at org.apache.catalina.connector.http.HttpConnector.initialize() (Unknown
Source)
   at
org.apache.catalina.startup.Embedded.addConnector(org.apache.catalina.Connector
) (Unknown Source)
   at org.eclipse.tomcat.internal.TomcatAppServer.start(int, java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at org.eclipse.help.internal.appserver.AppserverPlugin.startWebappServer()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.appserver.AppserverPlugin.getAppServer()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.appserver.WebappManager.start(java.lang.String,
java.lang.String, org.eclipse.core.runtime.IPath)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.HelpSystem.ensureWebappRunning()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpURL(java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpResource(org.eclipse.he
lp.IHelpResource)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpResource(java.lang.Stri
ng) (/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.ui.internal.dialogs.WelcomeItem.openHelpTopic(java.lang.String,
java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.ui.internal.dialogs.WelcomeItem.triggerLinkAt(int)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at
org.eclipse.ui.internal.dialogs.WelcomeEditor$1.mouseUp(org.eclipse.swt.events.
MouseEvent)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.widgets.Event
)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.widgets.Event)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.widgets.Event)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Display.runDeferredEvents()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Display.readAndDispatch()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.jface.window.Window$
IExceptionHandler)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.ui.internal.Workbench.run(java.lang.Object)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.core.internal.boot.InternalBootLoader.run(java.lang.String,
java.net.URL, java.lang.String, java.lang.String[], java.lang.Runnable)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.core.boot/libboot.so)
   at org.eclipse.core.boot.BootLoader.run(java.lang.String, java.net.URL,
java.lang.String, java.lang.String[], java.lang.Runnable)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.core.boot/libboot.so)
   at _Jv_CallAnyMethodA(java.lang.Object, java.lang.Class, _Jv_Method,
boolean, java.lang.Class[], jvalue, jvalue) (/lib/ssa/libgcj.so.4.0.0)
   at _Jv_CallAnyMethodA(java.lang.Object, java.lang.Class, _Jv_Method,
boolean, java.lang.Class[], java.lang.Object[]) (/lib/ssa/libgcj.so.4.0.0)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[])
(/lib/ssa/libgcj.so.4.0.0)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
   at org.eclipse.core.launcher.Main.run(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
   at org.eclipse.core.launcher.Main.main(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
!ENTRY org.eclipse.tomcat 4 0 Jul 22, 2003 16:24:02.694
!MESSAGE Exception occurred starting application server.
!STACK 0
java.lang.NullPointerException
   at java.net.PlainSocketImpl.accept(java.net.SocketImpl)
(/lib/ssa/libgcj.so.4.0.0)
   at java.net.ServerSocket.implAccept(java.net.Socket)
(/lib/ssa/libgcj.so.4.0.0)
   at java.net.ServerSocket.accept() (/lib/ssa/libgcj.so.4.0.0)
   at
org.eclipse.tomcat.internal.PortTrackingServerSocketFactory.listen(java.net.Ser
verSocket)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at
org.eclipse.tomcat.internal.PortTrackingServerSocketFactory.createSocket(int,
int)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at org.apache.catalina.connector.http.HttpConnector.open() (Unknown Source)
   at org.apache.catalina.connector.http.HttpConnector.initialize() (Unknown
Source)
   at
org.apache.catalina.startup.Embedded.addConnector(org.apache.catalina.Connector
) (Unknown Source)
   at org.eclipse.tomcat.internal.TomcatAppServer.start(int, java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.tomcat/libtomcatwrapper
.so)
   at org.eclipse.help.internal.appserver.AppserverPlugin.startWebappServer()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.appserver.AppserverPlugin.getAppServer()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.appserver.WebappManager.start(java.lang.String,
java.lang.String, org.eclipse.core.runtime.IPath)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help.appserver/libappse
rver.so)
   at org.eclipse.help.internal.HelpSystem.ensureWebappRunning()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpURL(java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpResource(org.eclipse.he
lp.IHelpResource)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.help.internal.DefaultHelpSupport.displayHelpResource(java.lang.Stri
ng) (/notnfs/eclipse/manual-build/build/plugins/org.eclipse.help/libhelp.so)
   at
org.eclipse.ui.internal.dialogs.WelcomeItem.openHelpTopic(java.lang.String,
java.lang.String)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.ui.internal.dialogs.WelcomeItem.triggerLinkAt(int)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at
org.eclipse.ui.internal.dialogs.WelcomeEditor$1.mouseUp(org.eclipse.swt.events.
MouseEvent)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.widgets.Event
)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.widgets.Event)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.widgets.Event)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Display.runDeferredEvents()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at org.eclipse.swt.widgets.Display.readAndDispatch()
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.swt.gtk/ws/gtk/libswt.s
o)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.jface.window.Window$
IExceptionHandler)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.ui.internal.Workbench.run(java.lang.Object)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.ui.workbench/libworkben
ch.so)
   at org.eclipse.core.internal.boot.InternalBootLoader.run(java.lang.String,
java.net.URL, java.lang.String, java.lang.String[], java.lang.Runnable)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.core.boot/libboot.so)
   at org.eclipse.core.boot.BootLoader.run(java.lang.String, java.net.URL,
java.lang.String, java.lang.String[], java.lang.Runnable)
(/notnfs/eclipse/manual-build/build/plugins/org.eclipse.core.boot/libboot.so)
   at _Jv_CallAnyMethodA(java.lang.Object, java.lang.Class, _Jv_Method,
boolean, java.lang.Class[], jvalue, jvalue) (/lib/ssa/libgcj.so.4.0.0)
   at _Jv_CallAnyMethodA(java.lang.Object, java.lang.Class, _Jv_Method,
boolean, java.lang.Class[], java.lang.Object[]) (/lib/ssa/libgcj.so.4.0.0)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[])
(/lib/ssa/libgcj.so.4.0.0)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
   at org.eclipse.core.launcher.Main.run(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
   at org.eclipse.core.launcher.Main.main(java.lang.String[])
(/notnfs/eclipse/manual-build/build/libstartup.so)
!ENTRY org.eclipse.help.ui 4 0 Jul 22, 2003 16:24:03.782
!MESSAGE Help cannot be displayed.  The embedded application server could not
run help web application.  Check the log for details.
Comment 3 Jeremy Handcock 2003-07-23 19:21:58 EDT
Ignore the attachment - the stack trace in the comment is the correct one.

This problem also occurs in eclipse 2.1, gcj-compiled
Comment 4 Jeremy Handcock 2003-07-25 13:45:40 EDT
After updating to the proper version of libgcj-ssa, the help is somewhat
functional.  Mozilla now opens up with the proper URL and tomcat is starting up
without error.  However, the navigation doesn't work.  The buttons on the top
navigation bar, the tree navigation on the left side bar, and the tabs on the
bottom left have "issues".  Also, some of the help pages simply are not displayed.

This problem continues to be isolated to gcj-eclipse.
Comment 5 Tom Tromey 2003-08-06 17:06:57 EDT
I was running into problems getting the jsp pages compiled.
I've checked in a fix for this.  If you weren't seeing this
problem, then I suspect that you might not have been
running a precompiled eclipse for some reason -- I don't see
how the jsp stuff could have worked at all...

On the other hand, now I'm seeing the strange behavior from the
navigation that you describe.
Comment 6 Jeremy Handcock 2003-08-13 13:13:24 EDT
Opening docs now fails with HTTP 500 error.  

Exception: 
org.apache.jasper.JasperException: Unable to compile class for JSP
   at org.apache.jasper.servlet.JspServlet.loadJSP(java.lang.String,
java.lang.String, boolean, javax.servlet.http.HttpServletRequest,
javax.servlet.http.HttpServletResponse) (Unknown Source)
   at
org.apache.jasper.servlet.JspServlet$JspServletWrapper.loadIfNecessary(javax.servlet.http.HttpServletRequest,
javax.servlet.http.HttpServletResponse) (Unknown Source)
   at
org.apache.jasper.servlet.JspServlet$JspServletWrapper.service(javax.servlet.http.HttpServletRequest,
javax.servlet.http.HttpServletResponse, boolean) (Unknown Source)
[...]

Root cause: 
java.lang.ClassNotFoundException: org.apache.jsp.index$jsp
   at org.apache.jasper.servlet.JasperLoader.loadClass(java.lang.String,
boolean) (Unknown Source)
   at org.apache.jasper.servlet.JasperLoader.loadClass(java.lang.String)
(Unknown Source)
   at org.apache.jasper.servlet.JspServlet.loadJSP(java.lang.String,
java.lang.String, boolean, javax.servlet.http.HttpServletRequest,
javax.servlet.http.HttpServletResponse) (Unknown Source)

(Using gcc-ssa 20030801.31)
Comment 7 Tom Tromey 2003-08-14 21:41:25 EDT
I have a fix for this.  It will appear in the next beehive
build.  I'll also check it in as soon as Toronto has power again.
Comment 8 Jeremy Handcock 2003-08-19 16:25:31 EDT
Reopening: navigation weirdness continues... see 2003-07-25 comment.  I'll try
to take a bit of time to look into this.
Comment 9 Tom Tromey 2003-08-28 19:56:38 EDT
I've found that by removing all the .so files in
the org.eclipse.tomcat plugin, this problem disappears.
So, first, the problem is probably in there somewhere.
And, second, we now have a workaround if a real fix
can't be found.
Comment 10 Tom Tromey 2003-08-29 16:14:28 EDT
I'm checking in the simple fix of not compiling the offending
.jar.  We'll revisit this in the future, either with the
new ABI or when we merge our plugins with the real tomcat
we're shipping (and thus will have a more plausible approach
to debugging).  Also, this particular change doesn't seem
to affect performance in any noticeable way.

If you want to test this in your working build, just remove
plugins/org.eclipse.tomcat/libservlets-default.so

Note You need to log in before you can comment on or make changes to this bug.